Subject: Re: Possible Workaround - SSH/SSHD: could not chdir to home directory: No such file or directory
From: Philip Flip Kromer <[email-masked]>
To: [email-masked]
Date: Fri, 05 Apr 2002 05:22:08 -0600
Newsgroups: gmane.os.cygwin

That did the trick!  Thanks so much for your help.  SSHD is back to being 
run by SYSTEM.

Is there a way to get mount to "dispel" any per-user mount settings? I 
found that since I had already set
   mount -c /
when I ran
   mount -s -c /
the changes were masked by the old settings.  I ended up removing the 
registry entries for my user by hand, and now everything seems happy.

Cheers,
flip

Corinna Vinschen wrote:
> On Fri, Apr 05, 2002 at 03:45:37AM -0600, Philip Flip Kromer wrote:
> 
>>No, /h is a local FAT32 drive. I also tried creating c:\foouser and 
>>changing (in /etc/passwd) my home directory to /c/foouser , so that I 
>>could check whether it was unhappy about changing drives.
>
> I assume you've changed the cygdrive prefix only for you, but not
> systemwide.  The effect would be that "/c" isn't known to SYSTEM
> - who's only able to access system mount points - since the system
> cygdrive prefix is still /cygdrive.  Change that by using
> 
>   mount -c -s /
> 
> and try again.
> 
> Corinna
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/